/*
 * Copyright (c) 1998 The Santa Cruz Operation, Inc.. All Rights Reserved. 
 *                                                                         
 *        THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF THE               
 *                   SANTA CRUZ OPERATION INC.                             
 *                                                                         
 *   The copyright notice above does not evidence any actual or intended   
 *   publication of such source code.                                      
 */

/* $Novell-NWU: $Header: /proj6/ncps/nwu_top/base/include/nwusers.h,v 1.2 1996/04/05 21:52:02 vtag Exp $ */
/*	Copyright (c) 1990, 1991, 1992, 1993, 1994, 1995 Novell, Inc. All Rights Reserved.	*/
/*	Copyright (c) 1988, 1990 Novell, Inc. All Rights Reserved.	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF Novell Inc.	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*	Copyright (c) 1990, 1991, 1992, 1993, 1994 Novell, Inc. All Rights Reserved.	*/
/*	Copyright (c) 1988, 1990 Novell, Inc. All Rights Reserved.	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF Novell Inc.	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ifndef _NWUSERS_H
#define _NWUSERS_H

#ident "@(#)nwusers.h	1.2"

#ifdef __cplusplus
extern "C" {
#endif


#define NWUSERS		"/etc/netware/nwusers"  /* Hybrid mapping file */
#define ONWUSERS 	"/etc/netware/onwusers" /* Previous state of nwusers */
#define NWTEMP		"/etc/nwtmp"  /* temprary file used when modifying nwusers */
#define NDSNAME_MAX	256  /* Maximun length of NDS name */
#define NDSFULNAME_MAX	512  /* Maximun length of NDS full name */


/* The hybrid structure is used in the retreval of information from
   /etc/netware/nwusers.  */

struct hybrid {
	char *nds_namp;   /* Hybrid user's NDS name */
	char *unix_namp; /* Hybrid user's UNIX name */
} ;

#if defined(__STDC__)

#ifndef _STDIO_H
#include <stdio.h>
#endif

/* Declare all hybrid mapping functions */

extern void	setnwent(void), endnwent(void);
extern	struct	hybrid	*getnwent(void), *fgetnwent(FILE *), *getndsnam(const char *);
extern	struct	passwd	*getunixnam(const char *);
extern	int	fputnwent(const struct hybrid *, FILE *);

#else

/* Declare all hybrid mapping functions */

void 		setnwent(), endnwent() ;
struct hybrid 	*getnwent(), *fgetnwent(), *getndsnam() ;
struct passwd 	*getunixnam();
int 		fputnwent() ;

#endif

#ifdef __cplusplus
}
#endif

#endif /* _NWUSERS_H */
