/*
 * Copyright (c) 1998 The Santa Cruz Operation, Inc.. All Rights Reserved. 
 *                                                                         
 *        THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF THE               
 *                   SANTA CRUZ OPERATION INC.                             
 *                                                                         
 *   The copyright notice above does not evidence any actual or intended   
 *   publication of such source code.                                      
 */

#ifndef _REGEXPR_H
#define _REGEXPR_H
#ident	"@(#)libgen:regexpr.h	1.3.1.1"

#define	NBRA 9

#ifdef __cplusplus
extern "C" {
#endif

extern char	*braslist[NBRA];
extern char	*braelist[NBRA];
extern int	nbra, regerrno, reglength;
extern char	*loc1, *loc2, *locs;

extern int	advance(const char *, const char *);
extern char	*compile(const char *, char *, char *);
extern int	step(const char *, const char *);

#ifdef __cplusplus
}
#endif

#endif /*_REGEXPR_H*/
