/*
 * Copyright (c) 1998 The Santa Cruz Operation, Inc.. All Rights Reserved. 
 *                                                                         
 *        THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF THE               
 *                   SANTA CRUZ OPERATION INC.                             
 *                                                                         
 *   The copyright notice above does not evidence any actual or intended   
 *   publication of such source code.                                      
 */

#ifndef _UCONTEXT_H
#define _UCONTEXT_H
#ident	"@(#)sgs-head:common/head/ucontext.h	1.5"

#include <sys/ucontext.h>

#ifdef __cplusplus
extern "C" {
#endif

extern int	getcontext(ucontext_t *);
extern int	setcontext(const ucontext_t *);
extern int	swapcontext(ucontext_t *, const ucontext_t *);
extern void	makecontext(ucontext_t *, void(*)(), int, ...);

#ifdef __cplusplus
}
#endif

#endif /*_UCONTEXT_H*/
