/*
 * Copyright (c) 1998 The Santa Cruz Operation, Inc.. All Rights Reserved. 
 *                                                                         
 *        THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF THE               
 *                   SANTA CRUZ OPERATION INC.                             
 *                                                                         
 *   The copyright notice above does not evidence any actual or intended   
 *   publication of such source code.                                      
 */

#ifndef _ASSERT_H
#define _ASSERT_H
#ident	"@(#)sgs-head:common/head/assert.h	1.6.3.7"
#endif

#undef assert

#ifdef NDEBUG

#define assert(e) ((void)0)

#else /*!NDEBUG*/

#ifdef __cplusplus
extern "C" {
#endif

extern void __assert(const char *, const char *, int);

#ifdef __cplusplus
}
#endif

#define assert(e) ((void)((e) || (__assert(#e, __FILE__, __LINE__), 0)))

#endif /*NDEBUG*/
