/*
 * Copyright (c) 1998 The Santa Cruz Operation, Inc.. All Rights Reserved. 
 *                                                                         
 *        THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF THE               
 *                   SANTA CRUZ OPERATION INC.                             
 *                                                                         
 *   The copyright notice above does not evidence any actual or intended   
 *   publication of such source code.                                      
 */

#ifndef _ICONV_H
#define _ICONV_H
#ident	"@(#)sgs-head:common/head/iconv.h	1.4"

#ifndef _SIZE_T
#   define _SIZE_T
	typedef unsigned int	size_t;
#endif

typedef struct _t_iconv	*iconv_t;

#ifdef __cplusplus
extern "C" {
#endif

extern iconv_t	iconv_open(const char *, const char *);
extern size_t	iconv(iconv_t, char **, size_t *, char **, size_t *);
extern int	iconv_close(iconv_t);

#ifdef __cplusplus
}
#endif

#endif /*_ICONV_H*/
