/*
 * Copyright (c) 1998 The Santa Cruz Operation, Inc.. All Rights Reserved. 
 *                                                                         
 *        THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF THE               
 *                   SANTA CRUZ OPERATION INC.                             
 *                                                                         
 *   The copyright notice above does not evidence any actual or intended   
 *   publication of such source code.                                      
 */

#ifndef _MEMORY_H
#define _MEMORY_H
#ident	"@(#)sgs-head:common/head/memory.h	1.4.3.3"

#ifndef _SIZE_T
#define _SIZE_T
typedef unsigned        size_t;
#endif

#if defined(__cplusplus)
extern "C" {
#endif

extern void	*memccpy(void *, const void *, int, size_t);
extern void	*memchr(const void *, int, size_t);
extern void	*memcpy(void *, const void *, size_t);
extern void	*memset(void *, int, size_t);
extern int	memcmp(const void *, const void *, size_t);

#if defined(__cplusplus)
}
#endif

#endif /*_MEMORY_H*/
