/*
 * Copyright (c) 1998 The Santa Cruz Operation, Inc.. All Rights Reserved. 
 *                                                                         
 *        THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF THE               
 *                   SANTA CRUZ OPERATION INC.                             
 *                                                                         
 *   The copyright notice above does not evidence any actual or intended   
 *   publication of such source code.                                      
 */

#ifndef _NLIST_H
#define _NLIST_H
#ident	"@(#)sgs-head:common/head/nlist.h	1.8.4.2"

struct nlist
{
        char            *n_name;        /* symbol name */
        long            n_value;        /* value of symbol */
        short           n_scnum;        /* section number */
        unsigned short  n_type;         /* type and derived type */
        char            n_sclass;       /* storage class */
        char            n_numaux;       /* number of aux. entries */
};

#if defined(__cplusplus)
extern "C" {
#endif

extern int nlist(const char *, struct nlist *);

#if defined(__cplusplus)
}
#endif

#endif /*_NLIST_H*/
