/*
 * Copyright (c) 1998 The Santa Cruz Operation, Inc.. All Rights Reserved. 
 *                                                                         
 *        THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF THE               
 *                   SANTA CRUZ OPERATION INC.                             
 *                                                                         
 *   The copyright notice above does not evidence any actual or intended   
 *   publication of such source code.                                      
 */

#ifndef _STROPTS_H
#define _STROPTS_H
#ident	"@(#)sgs-head:common/head/stropts.h	1.12"

/*
 * Streams user options definitions.
 */

#ifndef _SYS_STROPTS_H
#include <sys/stropts.h>
#endif

#if defined(__cplusplus)
extern "C" {
#endif

extern int getmsg(int, struct strbuf *, struct strbuf *, int *);
extern int putmsg(int, const struct strbuf *, const struct strbuf *, int);

extern int getpmsg(int, struct strbuf *, struct strbuf *, int *, int *);
extern int putpmsg(int, const struct strbuf *, const struct strbuf *, int, int);

extern int ioctl(int , int , ... );
extern int fattach(int , const char *);
extern int fdetach(const char *) ;

#if defined(__cplusplus)
}
#endif

#endif /*_STROPTS_H*/
